Subject: Ticket Assigned - Article Feedback - I paid for an order using My Credit balance and then cancelled the order. What happens to my balance?
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Tue, 08 Nov 2022 13:35:59 +0000

Hi Samer Salmeh,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Article Feedback - I paid for an order using My Credit balance and then cancelled the order. What happens to my balance? Feedback for:  I paid for an order using My Credit balance and then cancelled the order. What happens to my balance? I want to talk to the Customer care https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5229018